package xn.xxp.home.notice;

import java.util.ArrayList;
import java.util.List;

public class RectifyMsg {

    private int code;
    private String message;
    private RectifyMsgBean data = new RectifyMsgBean();

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public RectifyMsgBean getData() {
        return data;
    }

    public void setData(RectifyMsgBean data) {
        this.data = data;
    }

    public static class RectifyMsgBean {

        private String deptName;
        private String code;
        private String checkYear;
        private String checkMonth;
        private String checkDay;
        private String planName;
        // 校级:1   院级:2
        private int checkCategory;
        private int count;
        private String deadlineYear;
        private String deadlineMonth;
        private String deadlineDay;
        private String checkDeptSign;
        private String checkDeptName;
        private String checkDate;
        private List<TitleBean> titleList = new ArrayList<>();

        private String subName;
        private String roomNum;
        private List<DetailListBean> detailList = new ArrayList<>();

        public String getSubName() {
            return subName;
        }

        public void setSubName(String subName) {
            this.subName = subName;
        }

        public String getRoomNum() {
            return roomNum;
        }

        public void setRoomNum(String roomNum) {
            this.roomNum = roomNum;
        }

        public List<DetailListBean> getDetailList() {
            return detailList;
        }

        public void setDetailList(List<DetailListBean> detailList) {
            this.detailList = detailList;
        }

        public int getCheckCategory() {
            return checkCategory;
        }

        public void setCheckCategory(int checkCategory) {
            this.checkCategory = checkCategory;
        }

        public String getDeptName() {
            return deptName;
        }

        public void setDeptName(String deptName) {
            this.deptName = deptName;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getCheckYear() {
            return checkYear;
        }

        public void setCheckYear(String checkYear) {
            this.checkYear = checkYear;
        }

        public String getCheckMonth() {
            return checkMonth;
        }

        public void setCheckMonth(String checkMonth) {
            this.checkMonth = checkMonth;
        }

        public String getCheckDay() {
            return checkDay;
        }

        public void setCheckDay(String checkDay) {
            this.checkDay = checkDay;
        }

        public String getPlanName() {
            return planName;
        }

        public void setPlanName(String planName) {
            this.planName = planName;
        }

        public int getCount() {
            return count;
        }

        public void setCount(int count) {
            this.count = count;
        }

        public String getDeadlineYear() {
            return deadlineYear;
        }

        public void setDeadlineYear(String deadlineYear) {
            this.deadlineYear = deadlineYear;
        }

        public String getDeadlineMonth() {
            return deadlineMonth;
        }

        public void setDeadlineMonth(String deadlineMonth) {
            this.deadlineMonth = deadlineMonth;
        }

        public String getDeadlineDay() {
            return deadlineDay;
        }

        public void setDeadlineDay(String deadlineDay) {
            this.deadlineDay = deadlineDay;
        }

        public String getCheckDeptSign() {
            return checkDeptSign;
        }

        public void setCheckDeptSign(String checkDeptSign) {
            this.checkDeptSign = checkDeptSign;
        }

        public String getCheckDeptName() {
            return checkDeptName;
        }

        public void setCheckDeptName(String checkDeptName) {
            this.checkDeptName = checkDeptName;
        }

        public String getCheckDate() {
            return checkDate;
        }

        public void setCheckDate(String checkDate) {
            this.checkDate = checkDate;
        }

        public List<TitleBean> getTitleList() {
            return titleList;
        }

        public void setTitleList(List<TitleBean> titleList) {
            this.titleList = titleList;
        }

        public static class TitleBean {

            private String index;
            private String optionCode;
            private List<DetailBean> detailList;

            public String getIndex() {
                return index;
            }

            public void setIndex(String index) {
                this.index = index;
            }

            public String getOptionCode() {
                return optionCode;
            }

            public void setOptionCode(String optionCode) {
                this.optionCode = optionCode;
            }

            public List<DetailBean> getDetailList() {
                return detailList;
            }

            public void setDetailList(List<DetailBean> detailList) {
                this.detailList = detailList;
            }

            public static class DetailBean {

                private String subName;
                private String checkDesc;
                private String checkImg1;
                private String checkImg2;
                private String checkImg3;
                private String checkImg4;
                private String checkImg5;
                private String checkImg6;

                public String getSubName() {
                    return subName;
                }

                public void setSubName(String subName) {
                    this.subName = subName;
                }

                public String getCheckDesc() {
                    return checkDesc;
                }

                public void setCheckDesc(String checkDesc) {
                    this.checkDesc = checkDesc;
                }

                public String getCheckImg1() {
                    return checkImg1;
                }

                public void setCheckImg1(String checkImg1) {
                    this.checkImg1 = checkImg1;
                }

                public String getCheckImg2() {
                    return checkImg2;
                }

                public void setCheckImg2(String checkImg2) {
                    this.checkImg2 = checkImg2;
                }

                public String getCheckImg3() {
                    return checkImg3;
                }

                public void setCheckImg3(String checkImg3) {
                    this.checkImg3 = checkImg3;
                }

                public String getCheckImg4() {
                    return checkImg4;
                }

                public void setCheckImg4(String checkImg4) {
                    this.checkImg4 = checkImg4;
                }

                public String getCheckImg5() {
                    return checkImg5;
                }

                public void setCheckImg5(String checkImg5) {
                    this.checkImg5 = checkImg5;
                }

                public String getCheckImg6() {
                    return checkImg6;
                }

                public void setCheckImg6(String checkImg6) {
                    this.checkImg6 = checkImg6;
                }
            }
        }

        public static class DetailListBean {
            private String index;
            private String optionCode;
            private String checkDesc;
            private String checkImg1;
            private String checkImg2;
            private String checkImg3;
            private String checkImg4;
            private String checkImg5;
            private String checkImg6;

            public String getIndex() {
                return index;
            }

            public void setIndex(String index) {
                this.index = index;
            }

            public String getOptionCode() {
                return optionCode;
            }

            public void setOptionCode(String optionCode) {
                this.optionCode = optionCode;
            }

            public String getCheckDesc() {
                return checkDesc;
            }

            public void setCheckDesc(String checkDesc) {
                this.checkDesc = checkDesc;
            }

            public String getCheckImg1() {
                return checkImg1;
            }

            public void setCheckImg1(String checkImg1) {
                this.checkImg1 = checkImg1;
            }

            public String getCheckImg2() {
                return checkImg2;
            }

            public void setCheckImg2(String checkImg2) {
                this.checkImg2 = checkImg2;
            }

            public String getCheckImg3() {
                return checkImg3;
            }

            public void setCheckImg3(String checkImg3) {
                this.checkImg3 = checkImg3;
            }

            public String getCheckImg4() {
                return checkImg4;
            }

            public void setCheckImg4(String checkImg4) {
                this.checkImg4 = checkImg4;
            }

            public String getCheckImg5() {
                return checkImg5;
            }

            public void setCheckImg5(String checkImg5) {
                this.checkImg5 = checkImg5;
            }

            public String getCheckImg6() {
                return checkImg6;
            }

            public void setCheckImg6(String checkImg6) {
                this.checkImg6 = checkImg6;
            }
        }
    }
}
